PETSc version 3.15.5
Fix/Edit manual page

# TaoStepDirectionMonitor

Views the gradient at each iteration It can be turned on from the command line using the -tao_view_gradient option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoStepDirectionMonitor(Tao tao, void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| ctx | - PetscViewer context or NULL

### Options Database Keys

| -tao_view_gradient

### See Also

TaoDefaultSMonitor(), TaoSetMonitor()

### Level

advanced

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages